> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt
> Use this file to discover all available pages before exploring further.

> OpenAI-compatible Responses API (Beta)

# Overview

<Warning>
  **Beta API**

  This API is currently no testing phase (Beta) and may undergo significant updates no future. Exercise caution when using it in production environments.
</Warning>

The Responses API (Beta) from AIHubMix provides a unified interface for accessing multiple models compatible com o OpenAI Responses API, , including GPT, Claude, GLM, Gemini, etc.

This interface also offers enhanced features, including:

* Reasoning
* Tool Calling

## Base URL

```tex theme={null}
https://aihubmix.com/v1/responses
```

## Autenticação

All requests require authentication via the AIHubMix chave de API.

<CodeGroup>
  ```python Python theme={null}
  import requests

  url = "https://aihubmix.com/v1/responses"

  headers = {
      "Authorization": "Bearer YOUR_AIHUBMIX_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
      "model": "claude-sonnet-4-6",
      "input": "Hello, world!"
  }

  response = requests.post(url, headers=headers, json=data)

  print(response.status_code)
  print(response.json())
  ```

  ```text TypeScript theme={null}
  const response = await fetch('https://aihubmix.com/v1/responses', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer YOUR_AIHUBMIX_API_KEY',
      'Content-Type': 'application/json',
    },
    body: JSON.stringify({
      model: 'o4-mini',
      input: 'Hello, world!',
    }),
  });
  ```

  ```shellscript cURL theme={null}
  curl -X POST https://aihubmix.com/v1/responses \
    -H "Authorization: Bearer YOUR_AIHUBMIX_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "model": "o4-mini",
      "input": "Hello, world!"
    }'
  ```
</CodeGroup>

***

Última atualização: 2026-06-01
